window.screenOrientation = "portrait";
loadLib("libs/laya.core.js");
loadLib("libs/laya.ui.js");
loadLib("libs/laya.d3.js");
loadLib("libs/W.js");
loadLib("libs/b2d.js");
loadLib("libs/laya.physics3D.js");
loadLib("libs/androidUtil.js");
loadLib("js/bundle.js");
window.langManager = {
    langType: "ZH",
    langs: {
        EN: {
            login_turn_tip: "1 free draw per day",
            get_best_in_current_turn: "Get the best reward this time",
            get_best_after_x: "Get the best reward after {x} times",
            not_enough_money: "Not enough money!",
            level: "Lv.",
            level_up: "Level Up!",
            person: "Person",
            speed: "Speed"
        },
        RU: {
            login_turn_tip: "Бесплатная лотерея 1 раза в день",
            get_best_in_current_turn: "Получите лучшую награду на этот раз",
            get_best_after_x: "Получите лучшую награду после {x}-х повторений",
            not_enough_money: "Недостаточно деньги!",
            level: "уровень",
            level_up: "Повышай уровень!",
            person: "численность",
            speed: "скорость"
        },
        ZH: {
            login_turn_tip: "每日登录可免费抽奖1次",
            get_best_in_current_turn: "本次获得最佳奖励",
            get_best_after_x: "{x}次之后必得最佳奖励",
            not_enough_money: "钞票不足！",
            level: "关卡",
            level_up: "升级成功！",
            person: "人数",
            speed: "射速"
        }
    },
    imageMap: ["home", "jzz", "tex_push", "checkin", "shop", "turn", "set", "try", "result", "logo"],
    getLangStr(key, number) {
        let str = this.langs[this.langType][key];
        if (!str) return key;
        number && (str = str.replace("{x}", number));
        return str ? str : key;
    },
    getLangImage(url) {
        let res = url;
        for (let index = 0; index < this.imageMap.length; index++) {
            let key = this.imageMap[index];
            let name = `/${key}.png`;
            if (url.indexOf(name) > 0) {
                let langEnd = this.langType == "RU" ? "_ru" : (this.langType == "EN" ? "_en" : "");
                let replaceName = `/${key}${langEnd}.png`
                res = url.replace(name, replaceName);
                break;
            }
        }
        return res;
    }
}
// if (window.YaGames) {
//     YaGames.init().then(ysdk => {
//         console.log('Yandex SDK initialized');
//         window.ysdk = ysdk;
//         var i18n = ysdk.environment.i18n;
//         if (i18n.lang == "ru") {
//             window.langManager.langType = "RU";
//         } else {
//             window.langManager.langType = "EN";
//         }
//         window.ysdk.getStorage()
//             .then(storage => {
//                 var useAgent = window.navigator.userAgent.toLowerCase();
//                 if (useAgent.indexOf("iphone") > 0) {
//                     window.ystorage = storage;
//                 }
//             })
//         loadLib("js/bundle.js");
//     }).catch(err => {})
// } else {
//     loadLib("js/bundle.js");
// }